package com.backendsys.modules.sdk.klingai.enums;

// 任务状态，枚举值：submitted（已提交）、processing（处理中）、succeed（成功）、failed（失败）
public enum TaskStatusEnums {

    SUBMITTED("已提交", "submitted"),
    PROCESSING("处理中", "processing"),
    SUCCEED("成功", "succeed"),
    FAILED("失败", "failed")
    ;

    private final String key;
    private final String value;
    TaskStatusEnums(String key, String value) {
        this.key = key;
        this.value = value;
    }
    public String getValue() {
        return this.value;
    }
    public String getKey() {
        return this.key;
    }

}
